<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotReminderMetadata;

use UnexpectedValueException;




class ReminderFrequency
{
    


    const REMINDER_FREQUENCY_UNSPECIFIED = 0;
    


    const ONCE = 1;
    


    const DAILY = 2;
    


    const WEEKLY = 3;
    


    const BIWEEKLY = 4;
    


    const MONTHLY = 5;

    private static $valueToName = [
        self::REMINDER_FREQUENCY_UNSPECIFIED => 'REMINDER_FREQUENCY_UNSPECIFIED',
        self::ONCE => 'ONCE',
        self::DAILY => 'DAILY',
        self::WEEKLY => 'WEEKLY',
        self::BIWEEKLY => 'BIWEEKLY',
        self::MONTHLY => 'MONTHLY',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

